Subject: [GSoC] Proposal direction for improving the new git repo command

From: Mahi Kassa <[email-masked]>
Date: Tue, 24 Mar 2026 20:06:22 +0100

Hello,

I am preparing a GSoC 2026 application for Git and would like to ask for feedback on the project direction I am currently exploring.

The idea I am focusing on is "Improve the new git repo command". My current plan is to work on incremental improvements to "git repo info" and "git repo structure", with an emphasis on changes that are useful, reviewable and consistent with existing Git command behavior.

In particular, I am currently considering:
  - adding useful repository information to "git repo info" that users currently need other commands to look up
  - improving "git repo structure" with additional or better-organized repository statistics
  - keeping the work split into small patches, with tests and documentation updates as needed

I have been reading through "builtin/repo.c" and the related tests while working on my microproject, and I recently sent a small patch related to "git repo" help behavior as part of my application preparation.

I would appreciate feedback on whether this seems like a reasonable direction, and especially on:
  - which "git repo info" improvements would be most valuable
  - how far "git repo structure" should go before becoming too broad
  - what scope would be realistic for a GSoC project here

Thanks,
Mahi Kassa
[email-masked]